@echo off
cls
echo This batch will convert the PostScrip file 'calendar.ps' to 365 or 366 7-color pictures
echo and store the 320x480-pixel pictures in the output folder '320x480". In a second step
echo the pictures in '480x480AM'/'480x480PM' and '320x480" are combined to 800x480-pixel pictures 
echo and stored in the output folder '800x480'. You must copy these pictures to the SD card of the
echo PhotoPainter into the folder 'pic'.
echo.
echo All already exixting files in the output folders '320x480' and '800x480' will be deleteted.
echo If there is anything you want to keep, save it now.
echo.
pause


set input=%1
if [%1]==[] if exist calendar.ps set input=calendar.ps&goto :found
set /p input="PS file name: "

if not exist %input% set input=%input%.ps
if exist %input% goto :found

echo.
echo Postscript file not found
echo.
echo.
goto :eof

:found
mkdir 320x480 2>nul
mkdir 800x480 2>nul
del /q .\320x480\*.* 2>nul
del /q .\800x480\*.* 2>nul


for /f "tokens=2" %%i in ('find "/jahr" %input%') do set jahr=%%i
set /a jahr=jahr%%4

set k=364
if %jahr%==0 set k=365

for /l %%i in (0,1,%k%) do  call :sub %%i

cd 320x480
for %%i in (*.bmp) do  call :sub2 %%i
pause
goto :eof



:sub
echo Generating 320x480 picture for day %1
set /a n=%1
set n=00000%n%
set n=%n:~-3%
.\convert1.exe +dither -density 72 %input%[%1] -crop 320x480+0+312 -remap color.bmp .\320x480\%n%.bmp
goto :eof

:sub2
echo Generating 800x480 picture for day %1
set n=5%~n1
set /a n=n*2
set /a m=n+1

..\convert1.exe ..\480x480_AM\%1 %1 +append  ..\800x480\%n%.bmp
..\convert1.exe ..\480x480_PM\%1 %1 +append  ..\800x480\%m%.bmp


goto :eof













